package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.Version;
import java.util.Date;


/**
 * 多源排放量汇总分析-废气-手工监测数据对象 s_env_gas_self_day
 *
 * @author szhpt
 * @date 2023-07-26
 */
@ApiModel(value = "多源排放量汇总分析-废气-手工监测数据")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("s_env_gas_self_day")
public class SEnvGasSelfDay extends BaseEntity {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id*/
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;


    @ApiModelProperty(value = "企业id")
    /** 企业id*/
    private String factoryId;


    @ApiModelProperty(value = "排口id")
    /** 排口id*/
    private String outletId;


    @ApiModelProperty(value = "数据类型（日：D；小时：H；分钟：M）")
    /** 数据类型（日：D；小时：H；分钟：M） */
    private String dataType;


    @ApiModelProperty(value = "日期")
    /** 日期 */
    private String monitoringTime;


    @ApiModelProperty(value = "二氧化硫")
    /** 二氧化硫 */
    @Excel(name = "二氧化硫")
    private String so2;


    @ApiModelProperty(value = "二氧化硫折算")
    /** 二氧化硫折算 */
    @Excel(name = "二氧化硫折算")
    private String so2Convert;


    @ApiModelProperty(value = "二氧化硫排放量")
    /** 二氧化硫排放量 */
    @Excel(name = "二氧化硫排放量")
    private String so2Emission;


    @ApiModelProperty(value = "氮氧化物")
    /** 氮氧化物 */
    @Excel(name = "氮氧化物")
    private String nox;


    @ApiModelProperty(value = "氮氧化物折算")
    /** 氮氧化物折算 */
    @Excel(name = "氮氧化物折算")
    private String noxConvert;


    @ApiModelProperty(value = "氮氧化物排放量")
    /** 氮氧化物排放量 */
    @Excel(name = "氮氧化物排放量")
    private String noxEmission;


    @ApiModelProperty(value = "一氧化氮")
    /** 一氧化氮 */
    @Excel(name = "一氧化氮")
    private String no;


    @ApiModelProperty(value = "一氧化氮折算")
    /** 一氧化氮折算 */
    @Excel(name = "一氧化氮折算")
    private String noConvert;


    @ApiModelProperty(value = "一氧化氮排放量")
    /** 一氧化氮排放量 */
    @Excel(name = "一氧化氮排放量")
    private String noEmission;


    @ApiModelProperty(value = "二氧化氮")
    /** 二氧化氮 */
    @Excel(name = "二氧化氮")
    private String no2;


    @ApiModelProperty(value = "二氧化氮折算")
    /** 二氧化氮折算 */
    @Excel(name = "二氧化氮折算")
    private String no2Convert;


    @ApiModelProperty(value = "二氧化氮排放量")
    /** 二氧化氮排放量 */
    @Excel(name = "二氧化氮排放量")
    private String no2Emission;


    @ApiModelProperty(value = "烟尘")
    /** 烟尘 */
    @Excel(name = "烟尘")
    private String smokeDust;


    @ApiModelProperty(value = "烟尘折算")
    /** 烟尘折算 */
    @Excel(name = "烟尘折算")
    private String smokeDustConvert;


    @ApiModelProperty(value = "烟尘排放量")
    /** 烟尘排放量 */
    @Excel(name = "烟尘排放量")
    private String smokeDustEmission;


    @ApiModelProperty(value = "颗粒物实测")
    /** 颗粒物实测 */
    @Excel(name = "颗粒物实测")
    private String pm;


    @ApiModelProperty(value = "颗粒物折算")
    /** 颗粒物折算 */
    @Excel(name = "颗粒物折算")
    private String pmConvert;


    @ApiModelProperty(value = "颗粒物排放量")
    /** 颗粒物排放量 */
    @Excel(name = "颗粒物排放量")
    private String pmEmission;


    @ApiModelProperty(value = "voc实测")
    /** voc实测 */
    @Excel(name = "voc实测")
    private String vocs;


    @ApiModelProperty(value = "voc折算")
    /** voc折算 */
    @Excel(name = "voc折算")
    private String vocsConvert;


    @ApiModelProperty(value = "voc排放量")
    /** voc排放量 */
    @Excel(name = "voc排放量")
    private String vocsEmission;


    @ApiModelProperty(value = "氧气含量")
    /** 氧气含量 */
    @Excel(name = "氧气含量")
    private String o3;


    @ApiModelProperty(value = "废气")
    /** 废气 */
    @Excel(name = "废气")
    private String oxygen;


    @ApiModelProperty(value = "烟气温度")
    /** 烟气温度 */
    @Excel(name = "烟气温度")
    private String smokeDustTem;


    @ApiModelProperty(value = "烟气压力")
    /** 烟气压力 */
    @Excel(name = "烟气压力")
    private String smokeDustPressure;


    @ApiModelProperty(value = "烟气流速")
    /** 烟气流速 */
    @Excel(name = "烟气流速")
    private String smokeDustFlowVelocity;


    @ApiModelProperty(value = "烟气湿度")
    /** 烟气湿度 */
    @Excel(name = "烟气湿度")
    private String smokeDustHumidity;


    @ApiModelProperty(value = "采集时间（时间类型）")
    /** 采集时间（时间类型） */
    @Excel(name = "采集时间", readConverterExp = "时=间类型")
    private String dateTime;


    @ApiModelProperty(value = "废气折算")
    /** 废气折算 */
    @Excel(name = "废气折算")
    private String oxygenConvert;


    @ApiModelProperty(value = "废气排放量")
    /** 废气排放量 */
    @Excel(name = "废气排放量")
    private String oxygenEmission;


    @ApiModelProperty(value = "非甲烷总烃")
    /** 非甲烷总烃 */
    @Excel(name = "非甲烷总烃")
    private String nmhc;


    @ApiModelProperty(value = "非甲烷总烃折算")
    /** 非甲烷总烃折算 */
    @Excel(name = "非甲烷总烃折算")
    private String nmhcConvert;


    @ApiModelProperty(value = "非甲烷总烃排放量")
    /** 非甲烷总烃排放量 */
    @Excel(name = "非甲烷总烃排放量")
    private String nmhcEmission;


    @ApiModelProperty(value = "二氧化硫数据标记")
    /** 二氧化硫数据标记 */
    @Excel(name = "二氧化硫数据标记")
    private String so2Flag;


    @ApiModelProperty(value = "氮氧化物数据标记")
    /** 氮氧化物数据标记 */
    @Excel(name = "氮氧化物数据标记")
    private String noxFlag;


    @ApiModelProperty(value = "一氧化氮数据标记")
    /** 一氧化氮数据标记 */
    @Excel(name = "一氧化氮数据标记")
    private String noFlag;


    @ApiModelProperty(value = "二氧化氮数据标记")
    /** 二氧化氮数据标记 */
    @Excel(name = "二氧化氮数据标记")
    private String no2Flag;


    @ApiModelProperty(value = "烟尘数据标记")
    /** 烟尘数据标记 */
    @Excel(name = "烟尘数据标记")
    private String smokeDustFlag;


    @ApiModelProperty(value = "颗粒物数据标记")
    /** 颗粒物数据标记 */
    @Excel(name = "颗粒物数据标记")
    private String pmFlag;


    @ApiModelProperty(value = "voc数据标记")
    /** voc数据标记 */
    @Excel(name = "voc数据标记")
    private String vocsFlag;


    @ApiModelProperty(value = "氧气含量数据标记")
    /** 氧气含量数据标记 */
    @Excel(name = "氧气含量数据标记")
    private String o3Flag;


    @ApiModelProperty(value = "废气数据标记")
    /** 废气数据标记 */
    @Excel(name = "废气数据标记")
    private String oxygenFlag;


    @ApiModelProperty(value = "烟气温度数据标记")
    /** 烟气温度数据标记 */
    @Excel(name = "烟气温度数据标记")
    private String smokeDustTemFlag;


    @ApiModelProperty(value = "烟气压力数据标记")
    /** 烟气压力数据标记 */
    @Excel(name = "烟气压力数据标记")
    private String smokeDustPressureFlag;


    @ApiModelProperty(value = "烟气流速数据标记")
    /** 烟气流速数据标记 */
    @Excel(name = "烟气流速数据标记")
    private String smokeDustFlowVelocityFlag;


    @ApiModelProperty(value = "烟气湿度数据标记")
    /** 烟气湿度数据标记 */
    @Excel(name = "烟气湿度数据标记")
    private String smokeDustHumidityFlag;


    @ApiModelProperty(value = "非甲烷总烃数据标记")
    /** 非甲烷总烃数据标记 */
    @Excel(name = "非甲烷总烃数据标记")
    private String nmhcFlag;


    @ApiModelProperty(value = "数据标记 见字典类型anal_data_flag")
    /** 数据标记 见字典类型anal_data_flag */
    @Excel(name = "数据标记 见字典类型anal_data_flag")
    private String dataFlag;


    @ApiModelProperty(value = "so2修约排放量")
    /** so2修约排放量 */
    @Excel(name = "so2修约排放量")
    private String so2CorrectEmission;


    @ApiModelProperty(value = "nox修约排放量")
    /** nox修约排放量 */
    @Excel(name = "nox修约排放量")
    private String noxCorrectEmission;


    @ApiModelProperty(value = "vocs修约排放量 ")
    /** vocs修约排放量  */
    @Excel(name = "vocs修约排放量 ")
    private String vocsCorrectEmission;


    @ApiModelProperty(value = "smoke修约排放量")
    /** smoke修约排放量 */
    @Excel(name = "smoke修约排放量")
    private String smokeDustCorrectEmission;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("factoryId", getFactoryId())
            .append("outletId", getOutletId())
            .append("dataType", getDataType())
            .append("monitoringTime", getMonitoringTime())
            .append("so2", getSo2())
            .append("so2Convert", getSo2Convert())
            .append("so2Emission", getSo2Emission())
            .append("nox", getNox())
            .append("noxConvert", getNoxConvert())
            .append("noxEmission", getNoxEmission())
            .append("no", getNo())
            .append("noConvert", getNoConvert())
            .append("noEmission", getNoEmission())
            .append("no2", getNo2())
            .append("no2Convert", getNo2Convert())
            .append("no2Emission", getNo2Emission())
            .append("smokeDust", getSmokeDust())
            .append("smokeDustConvert", getSmokeDustConvert())
            .append("smokeDustEmission", getSmokeDustEmission())
            .append("pm", getPm())
            .append("pmConvert", getPmConvert())
            .append("pmEmission", getPmEmission())
            .append("vocs", getVocs())
            .append("vocsConvert", getVocsConvert())
            .append("vocsEmission", getVocsEmission())
            .append("o3", getO3())
            .append("oxygen", getOxygen())
            .append("smokeDustTem", getSmokeDustTem())
            .append("smokeDustPressure", getSmokeDustPressure())
            .append("smokeDustFlowVelocity", getSmokeDustFlowVelocity())
            .append("smokeDustHumidity", getSmokeDustHumidity())
            .append("dateTime", getDateTime())
            .append("oxygenConvert", getOxygenConvert())
            .append("oxygenEmission", getOxygenEmission())
            .append("nmhc", getNmhc())
            .append("nmhcConvert", getNmhcConvert())
            .append("nmhcEmission", getNmhcEmission())
            .append("so2Flag", getSo2Flag())
            .append("noxFlag", getNoxFlag())
            .append("noFlag", getNoFlag())
            .append("no2Flag", getNo2Flag())
            .append("smokeDustFlag", getSmokeDustFlag())
            .append("pmFlag", getPmFlag())
            .append("vocsFlag", getVocsFlag())
            .append("o3Flag", getO3Flag())
            .append("oxygenFlag", getOxygenFlag())
            .append("smokeDustTemFlag", getSmokeDustTemFlag())
            .append("smokeDustPressureFlag", getSmokeDustPressureFlag())
            .append("smokeDustFlowVelocityFlag", getSmokeDustFlowVelocityFlag())
            .append("smokeDustHumidityFlag", getSmokeDustHumidityFlag())
            .append("nmhcFlag", getNmhcFlag())
            .append("dataFlag", getDataFlag())
            .append("so2CorrectEmission", getSo2CorrectEmission())
            .append("noxCorrectEmission", getNoxCorrectEmission())
            .append("vocsCorrectEmission", getVocsCorrectEmission())
            .append("smokeDustCorrectEmission", getSmokeDustCorrectEmission())
            .toString();
    }
}
